%define clname      cloop
%define clver       1.02
%define clminorver  1
%define release     5mdk

Name:               %{clname}-utils
Version:            %{clver}
Release:            %{release}
Summary:            Utilities for the creation and extraction of compressed loop images
License:            GPL
Group:              File tools
URL:                http://www.knoppix.net/
Source0:            http://developer.linuxtag.net/knoppix/sources/%{clname}_%{clver}-%{clminorver}.tar.gz
Patch0:             cloop-1.02-write-to-file-ASAP.patch.bz2
Patch1:             mkfile-cloop.patch.bz2
BuildRequires:      zlib-devel
BuildRoot:          %{_tmppath}/%{name}-root
%description
%{summary}

%prep
%setup -q -n %{clname}-%{clver}
%patch0 -p1
%patch1

%build
make create_compressed_fs extract_compressed_fs APPSONLY=1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 create_compressed_fs $RPM_BUILD_ROOT/usr/bin
install -m 755 extract_compressed_fs $RPM_BUILD_ROOT/usr/bin

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG README
%{_bindir}/create_compressed_fs
%{_bindir}/extract_compressed_fs

%changelog
* Mon Jan 12 2004 Franck Villaume <fvill@freesurf.fr> 1.02-5mdk
- add sparc support by using RPM_OPT_FLAGS support : patch1
- remove gcc as buildrequires

* Fri Oct 31 2003 Jaco Greeff <jaco@linuxminicd.org> 1.02-4mdk
- fix create_compressed_fs (broken in 3mdk) to once again make it work when
  receiving input from stdin: numblocks was wrong (!= 0, == 1), creating
  corrupted cloop images from an invalid write (which should have been ignored)
  in create_compressed_blocks (corruption reported by Avery J. Parker on the
  mklivecd list)
- update create_compressed_fs to display better help information for all options

* Tue Oct 21 2003 Pixel <pixel@mandrakesoft.com> 1.02-3mdk
- fix create_compressed_fs (estimated_numblocks was wrong in a limit case)
- fix build (using APPSONLY=1)

* Thu Oct 16 2003 Pixel <pixel@mandrakesoft.com> 1.02-2mdk
- add a patch to be memory conservative. You don't need to have enough
  ram+swap to contain the full cloop anymore. The drawback is that you need to
  give an estimated size of the non compressed file if you use stdin

* Mon Sep 01 2003 Jaco Greeff <jaco@linuxminicd.org> 1.02-1mdk
- Initial version, 1.02-1
